| pktools 2.6.7 Processing Kernel for geospatial data

pkreclassogr

program to replace field values of attributes in vector dataset

## SYNOPSIS

`Usage: pkreclassogr -i input [-c from -r to]* -o output`

# Options

- use either `-short` or `--long` options (both `--long=value` and `--long value` are supported)
- short option `-h` shows basic options only, long option `--help` shows all options

  short | long | type | default | description
  --- | --- | --- | --- | ---
  i | input | std::string |  | Input vector dataset
  nodata | nodata | int | 0 | nodata value to put in vector dataset if not valid (0)
  code | code | std::string |  | Recode text file (2 columns: from to)
  c | class | std::string |  | list of classes to reclass (in combination with reclass option)
  r | reclass | std::string |  | list of recoded classes (in combination with class option)
  o | output | std::string |  | Output vector dataset
  n | fname | std::string | label | field name of the shape file to be replaced
  v | verbose | short | 0 | verbose

Usage: pkreclassogr -i input [-c from -r to]* -o output

# Examples

Some examples how to use pkreclassogr can be found here